osgDB::ImagePager::ReadQueue Struct Reference

`#include <ImagePager>`

Inheritance diagram for osgDB::ImagePager::ReadQueue:

## Public Member Functions

| ReadQueue (ImagePager *pager, const std::string &name)
void | block ()
void | release ()
void | updateBlock ()
void | clear ()
void | add (ImageRequest *imageRequest)
void | takeFirst (osg::ref_ptr< ImageRequest > &databaseRequest)
Public Member Functions inherited from osgDB::ImagePager::RequestQueue
void | sort ()
unsigned int | size () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

osg::ref_ptr< osg::RefBlock > | _block
ImagePager * | _pager
std::string | _name
Public Attributes inherited from osgDB::ImagePager::RequestQueue
RequestList | _requestList
OpenThreads::Mutex | _requestMutex

## Additional Inherited Members

Public Types inherited from osgDB::ImagePager::RequestQueue
typedef std::vector< osg::ref_ptr< ImageRequest > > | RequestList
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## ReadQueue()

osgDB::ImagePager::ReadQueue::ReadQueue | ( | ImagePager * | pager,
|  | const std::string & | name )

References osgDB::ImagePager::ImagePager().

## Member Function Documentation

## add()

void osgDB::ImagePager::ReadQueue::add | ( | ImageRequest * | imageRequest | ) |

## block()

void osgDB::ImagePager::ReadQueue::block | ( |  | ) |

inline

References _block.

## clear()

void osgDB::ImagePager::ReadQueue::clear | ( |  | ) |

## release()

void osgDB::ImagePager::ReadQueue::release | ( |  | ) |

inline

References _block.

## takeFirst()

void osgDB::ImagePager::ReadQueue::takeFirst | ( | osg::ref_ptr< ImageRequest > & | databaseRequest | ) |

## updateBlock()

void osgDB::ImagePager::ReadQueue::updateBlock | ( |  | ) |

inline

References _block, _pager, and osgDB::ImagePager::RequestQueue::_requestList.

## Member Data Documentation

## _block

osg::ref_ptr<osg::RefBlock> osgDB::ImagePager::ReadQueue::_block

Referenced by block(), release(), and updateBlock().

## _name

std::string osgDB::ImagePager::ReadQueue::_name

## _pager

ImagePager* osgDB::ImagePager::ReadQueue::_pager

Referenced by updateBlock().

The documentation for this struct was generated from the following file:

- ImagePager